# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94.0"
name = "atuin-common"
version = "18.14.1"
authors = ["Ellie Huxtable <ellie@atuin.sh>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "common library for atuin"
homepage = "https://atuin.sh"
readme = false
license = "MIT"
repository = "https://github.com/atuinsh/atuin"
resolver = "2"

[lib]
name = "atuin_common"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22"

[dependencies.directories]
version = "6.0.0"

[dependencies.eyre]
version = "0.6"

[dependencies.getrandom]
version = "0.2"

[dependencies.rustls]
version = "0.23"
features = [
    "ring",
    "std",
    "tls12",
]
default-features = false

[dependencies.semver]
version = "1.0.20"

[dependencies.serde]
version = "1.0.202"
features = ["derive"]

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "time",
    "postgres",
    "uuid",
]

[dependencies.sysinfo]
version = "0.30.7"

[dependencies.thiserror]
version = "2"

[dependencies.time]
version = "0.3.47"
features = [
    "serde-human-readable",
    "macros",
    "local-offset",
]

[dependencies.typed-builder]
version = "0.18.2"

[dependencies.uuid]
version = "1.9"
features = [
    "v4",
    "v7",
    "serde",
]

[dev-dependencies.pretty_assertions]
version = "1.3.0"
